#
# Conditional build:
%bcond_with	opencl_amd	# AMD OpenCL
%bcond_with	opencl_intel	# Intel OpenCL (64-bit)
%bcond_with	opencl_nvidia	# NVidia OpenCL
#
Summary:	Bullet - collision detection and rigid body dynamics library
Summary(pl.UTF-8):	Bullet - biblioteka wykrywania kolizji oraz dynamiki ciała sztywnego
Name:		bullet
Version:	2.82
Release:	1
License:	Zlib (BSD-like)
Group:		Libraries
#Source0Download: https://code.google.com/p/bullet/downloads/list
Source0:	http://bullet.googlecode.com/files/%{name}-%{version}-r2704.tgz
# Source0-md5:	70b3c8d202dee91a0854b4cbc88173e8
Patch0:		%{name}-link.patch
URL:		http://bulletphysics.org/wordpress/
BuildRequires:	OpenCL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	cmake >= 2.4.3
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bullet is a collision detection and rigid nody dynamics library.

%description -l pl.UTF-8
Bullet to biblioteka wykrywania kolizji oraz dynamiki ciała sztywnego.

%package devel
Summary:	Header files for bullet libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek bullet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenCL-devel
Requires:	OpenGL-GLU-devel
Requires:	OpenGL-glut-devel

%description devel
Header files for bullet libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek bullet.

%prep
%setup -q -n %{name}-%{version}-r2704
%patch0 -p1

%build
install -d pkgbuild
cd pkgbuild
%cmake .. \
	%{!?with_opencl_amd:-DAMD_OPENCL_BASE_DIR:BOOL=OFF} \
	%{!?with_opencl_intel:-DINTEL_OPENCL_ICD_CFG:BOOL=OFF} \
	%{!?with_opencl_nvidia:-DNVIDIA_OPENCL_ICD_CFG:BOOL=OFF} \
	-DBUILD_DEMOS=OFF \
	-DBUILD_EXTRAS=ON \
	-DBUILD_MULTITHREADING=ON \
	-DINCLUDE_INSTALL_DIR=%{_includedir}/%{name} \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C pkgbuild install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libBulletCollision.so.*.*
%attr(755,root,root) %{_libdir}/libBulletDynamics.so.*.*
%attr(755,root,root) %{_libdir}/libBulletMultiThreaded.so.*.*
%attr(755,root,root) %{_libdir}/libBulletSoftBody.so.*.*
%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_Mini.so.*.*
%{?with_opencl_amd:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_AMD.so.*.*}
%{?with_opencl_intel:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_Intel.so.*.*}
%{?with_opencl_nvidia:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_NVidia.so.*.*}
%attr(755,root,root) %{_libdir}/libLinearMath.so.*.*
%attr(755,root,root) %{_libdir}/libMiniCL.so.*.*

%files devel
%defattr(644,root,root,755)
%doc Bullet_User_Manual.pdf
%attr(755,root,root) %{_libdir}/libBulletCollision.so
%attr(755,root,root) %{_libdir}/libBulletDynamics.so
%attr(755,root,root) %{_libdir}/libBulletMultiThreaded.so
%attr(755,root,root) %{_libdir}/libBulletSoftBody.so
%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_Mini.so
%{?with_opencl_amd:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_AMD.so}
%{?with_opencl_intel:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_Intel.so}
%{?with_opencl_nvidia:%attr(755,root,root) %{_libdir}/libBulletSoftBodySolvers_OpenCL_NVidia.so}
%attr(755,root,root) %{_libdir}/libLinearMath.so
%attr(755,root,root) %{_libdir}/libMiniCL.so
%{_includedir}/bullet
%{_libdir}/cmake/bullet
%{_pkgconfigdir}/bullet.pc
%changelog
* Mon Dec 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bullet.git;a=log;h=master

* Mon Dec 02 2013 Jakub Bogusz <qboosh@pld-linux.org> caa8a29
- adjusted intel/nvidia OpenCL variables

* Mon Dec 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 8780d1a
- avoid misdetection of intel/nvidia OpenCL

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 0bcc430
- typo

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 0996629
- updated to 2.82
- updated link patch

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 9983661
- rel 1

* Tue Aug 09 2011 lisu <lisu@pld-linux.org> 10c00b9
- apply link.patch
- package libBulletSoftBodySolvers_OpenCL_Mini

* Fri May 06 2011 lisu <lisu@pld-linux.org> 28ce321
- TODO

* Thu May 05 2011 lisu <lisu@pld-linux.org> 1241d04
- do not apply -link.patch for now
- rel 0.1

* Thu May 05 2011 lisu <lisu@pld-linux.org> de53e6e
- link with OpenCL

* Thu May 05 2011 lisu <lisu@pld-linux.org> a659072
- obsoleted

* Thu May 05 2011 lisu <lisu@pld-linux.org> 19b0843
- updated to 2.78
- fixed linking (patch)
- dropped obsoleted lib_suffix patch

* Wed May 04 2011 lisu <lisu@pld-linux.org> 19ed2e3
- better URL

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 6835e05
- use undos macro to fix patching

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> b1386ad
- add suffix to lib

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 19acd31
- fix build on x86_64 (patch)

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> f561f37
- s/OpenGL-glut/OpenGL-glut-devel/

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 821650f
- remove bogus macro
- rel 1

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 823b21b
- up to 2.77
- cmake build system
- BRs: OpenGL-glut, cmake, rpmbuild(macros) >= 1.600
- skip so post checking for broken lib
- pl desc and summary
- no static files
- more verbose files
- general cleanups

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 6609301
- fix misused %defattr

* Wed Mar 25 2009 cieciwa <cieciwa@pld-linux.org> f582dc5
- updated License, description and URL.

